import { async, ComponentFixture, TestBed } from '@angular/core/testing';

import { ArticleInfoComponent } from './article-info.component';

import { FooterfixedComponent } from 'src/app/templates/footerfixed/footerfixed.component';
import { NavbarlogoutComponent } from 'src/app/templates/navbarlogout/navbarlogout.component';
import { NgxPaginationModule } from 'ngx-pagination';
import { CollapseModule } from 'ngx-bootstrap';

describe('ArticleInfoComponent', () => {
  let component: ArticleInfoComponent;
  let fixture: ComponentFixture<ArticleInfoComponent>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [CollapseModule],
      declarations: [ ArticleInfoComponent, NavbarlogoutComponent, , FooterfixedComponent]
    })
    .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(ArticleInfoComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
